openSUSE Security Update : libFS (openSUSE-SU-2013:1034-1)

Medium Nessus Plugin ID 75037


The remote openSUSE host is missing a security update.


This update of libFS fixes an integer overflow issue.

- U_0001-Sign-extension-issue-and-integer-overflow-in-FSOp enS.patch

- Sign extension issue and integer overflow in FSOpenServer() [CVE-2013-1996] (bnc#821663, bnc#815451)


Update the affected libFS packages.

See Also

Plugin Details

Severity: Medium

ID: 75037

File Name: openSUSE-2013-501.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libFS-debugsource, p-cpe:/a:novell:opensuse:libFS-devel, p-cpe:/a:novell:opensuse:libFS-devel-32bit, p-cpe:/a:novell:opensuse:libFS6, p-cpe:/a:novell:opensuse:libFS6-32bit, p-cpe:/a:novell:opensuse:libFS6-debuginfo, p-cpe:/a:novell:opensuse:libFS6-debuginfo-32bit, cpe:/o:novell:opensuse:12.2, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/06/07

Reference Information

CVE: CVE-2013-1996

BID: 60130

OSVDB: 93662